/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.sample.pdf.report.items;

import java.math.BigDecimal;
import java.util.List;

/**
 * PDF 項目群。
 */
public class Yoko01PdfReportItems {
    /**
     * フィールド: [PageNo]。
     */
    private BigDecimal fPageNo;

    /**
     * フィールド: [TotalPageCount]。
     */
    private BigDecimal fTotalPageCount;

    /**
     * フィールド: [Field00]。
     */
    private String fField00;

    /**
     * フィールド: [Field01]。
     */
    private String fField01;

    /**
     * フィールド: [Field02]。
     */
    private BigDecimal fField02;

    /**
     * フィールド: [Field03]。
     */
    private BigDecimal fField03;

    /**
     * フィールド: [Field04]。
     */
    private String fField04;

    /**
     * フィールド: [Nextpage01]。
     */
    private String fNextpage01;

    /**
     * フィールド: [Nextpage02]。
     */
    private String fNextpage02;

    /**
     * フィールド: [Hidden01]。
     */
    private String fHidden01;

    /**
     * フィールド: [Block01List]。
     * デフォルト: [new java.util.ArrayList<blanco.sample.pdf.report.items.Yoko01PdfReportBlock01Items>()]。
     */
    private List<blanco.sample.pdf.report.items.Yoko01PdfReportBlock01Items> fBlock01List = new java.util.ArrayList<blanco.sample.pdf.report.items.Yoko01PdfReportBlock01Items>();

    /**
     * フィールド [PageNo] の値を設定します。
     *
     * @param argPageNo フィールド[PageNo]に設定する値。
     */
    public void setPageNo(final BigDecimal argPageNo) {
        fPageNo = argPageNo;
    }

    /**
     * フィールド [PageNo] の値を取得します。
     *
     * @return フィールド[PageNo]から取得した値。
     */
    public BigDecimal getPageNo() {
        return fPageNo;
    }

    /**
     * フィールド [TotalPageCount] の値を設定します。
     *
     * @param argTotalPageCount フィールド[TotalPageCount]に設定する値。
     */
    public void setTotalPageCount(final BigDecimal argTotalPageCount) {
        fTotalPageCount = argTotalPageCount;
    }

    /**
     * フィールド [TotalPageCount] の値を取得します。
     *
     * @return フィールド[TotalPageCount]から取得した値。
     */
    public BigDecimal getTotalPageCount() {
        return fTotalPageCount;
    }

    /**
     * フィールド [Field00] の値を設定します。
     *
     * @param argField00 フィールド[Field00]に設定する値。
     */
    public void setField00(final String argField00) {
        fField00 = argField00;
    }

    /**
     * フィールド [Field00] の値を取得します。
     *
     * @return フィールド[Field00]から取得した値。
     */
    public String getField00() {
        return fField00;
    }

    /**
     * フィールド [Field01] の値を設定します。
     *
     * @param argField01 フィールド[Field01]に設定する値。
     */
    public void setField01(final String argField01) {
        fField01 = argField01;
    }

    /**
     * フィールド [Field01] の値を取得します。
     *
     * @return フィールド[Field01]から取得した値。
     */
    public String getField01() {
        return fField01;
    }

    /**
     * フィールド [Field02] の値を設定します。
     *
     * @param argField02 フィールド[Field02]に設定する値。
     */
    public void setField02(final BigDecimal argField02) {
        fField02 = argField02;
    }

    /**
     * フィールド [Field02] の値を取得します。
     *
     * @return フィールド[Field02]から取得した値。
     */
    public BigDecimal getField02() {
        return fField02;
    }

    /**
     * フィールド [Field03] の値を設定します。
     *
     * @param argField03 フィールド[Field03]に設定する値。
     */
    public void setField03(final BigDecimal argField03) {
        fField03 = argField03;
    }

    /**
     * フィールド [Field03] の値を取得します。
     *
     * @return フィールド[Field03]から取得した値。
     */
    public BigDecimal getField03() {
        return fField03;
    }

    /**
     * フィールド [Field04] の値を設定します。
     *
     * @param argField04 フィールド[Field04]に設定する値。
     */
    public void setField04(final String argField04) {
        fField04 = argField04;
    }

    /**
     * フィールド [Field04] の値を取得します。
     *
     * @return フィールド[Field04]から取得した値。
     */
    public String getField04() {
        return fField04;
    }

    /**
     * フィールド [Nextpage01] の値を設定します。
     *
     * @param argNextpage01 フィールド[Nextpage01]に設定する値。
     */
    public void setNextpage01(final String argNextpage01) {
        fNextpage01 = argNextpage01;
    }

    /**
     * フィールド [Nextpage01] の値を取得します。
     *
     * @return フィールド[Nextpage01]から取得した値。
     */
    public String getNextpage01() {
        return fNextpage01;
    }

    /**
     * フィールド [Nextpage02] の値を設定します。
     *
     * @param argNextpage02 フィールド[Nextpage02]に設定する値。
     */
    public void setNextpage02(final String argNextpage02) {
        fNextpage02 = argNextpage02;
    }

    /**
     * フィールド [Nextpage02] の値を取得します。
     *
     * @return フィールド[Nextpage02]から取得した値。
     */
    public String getNextpage02() {
        return fNextpage02;
    }

    /**
     * フィールド [Hidden01] の値を設定します。
     *
     * @param argHidden01 フィールド[Hidden01]に設定する値。
     */
    public void setHidden01(final String argHidden01) {
        fHidden01 = argHidden01;
    }

    /**
     * フィールド [Hidden01] の値を取得します。
     *
     * @return フィールド[Hidden01]から取得した値。
     */
    public String getHidden01() {
        return fHidden01;
    }

    /**
     * フィールド [Block01List] の値を設定します。
     *
     * @param argBlock01List フィールド[Block01List]に設定する値。
     */
    public void setBlock01List(final List<blanco.sample.pdf.report.items.Yoko01PdfReportBlock01Items> argBlock01List) {
        fBlock01List = argBlock01List;
    }

    /**
     * フィールド [Block01List] の値を取得します。
     *
     * デフォルト: [new java.util.ArrayList<blanco.sample.pdf.report.items.Yoko01PdfReportBlock01Items>()]。
     *
     * @return フィールド[Block01List]から取得した値。
     */
    public List<blanco.sample.pdf.report.items.Yoko01PdfReportBlock01Items> getBlock01List() {
        return fBlock01List;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.pdf.report.items.Yoko01PdfReportItems[");
        buf.append("PageNo=" + fPageNo);
        buf.append(",TotalPageCount=" + fTotalPageCount);
        buf.append(",Field00=" + fField00);
        buf.append(",Field01=" + fField01);
        buf.append(",Field02=" + fField02);
        buf.append(",Field03=" + fField03);
        buf.append(",Field04=" + fField04);
        buf.append(",Nextpage01=" + fNextpage01);
        buf.append(",Nextpage02=" + fNextpage02);
        buf.append(",Hidden01=" + fHidden01);
        buf.append(",Block01List=" + fBlock01List);
        buf.append("]");
        return buf.toString();
    }
}
